<template>
  <button class="flex w-10 h-10 items-center" @click.prevent="closeModal">
    <font-awesome-icon
      icon="circle-xmark"
      class="forgot-password-modal__close !w-[33.33px] !h-[33.33px]"
    />
  </button>
</template>

<script setup lang="ts">
const router = useRouter();

function addMinutes(numOfMinutes: number, date = new Date()) {
  date.setMinutes(date.getMinutes() + numOfMinutes);
  return date;
}
const closeModal = () => {
  document.cookie = `skipLogin=true;expires=${addMinutes(10)};path=/`;
  router.push({ path: "/" });
};
</script>